Subject: Re: linux-next: build failure after merge of the slave-dma tree

From: "Koul, Vinod" <[email-masked]>
Date: Thu, 15 Oct 2015 03:35:42 +0000

On Thu, 2015-10-15 at 11:51 +1100, Stephen Rothwell wrote:
> Hi Vinod,
> 
> After merging the slave-dma tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> drivers/dma/idma64.h:19:47: fatal error: asm-generic/io-64-nonatomic-lo-hi.h: No
> such file or directory
>  #include <asm-generic/io-64-nonatomic-lo-hi.h>
>                                                ^
> 
> Caused by commit
> 
>   97c37accd38f ("dmaengine: idma64: use lo_hi_readq() / lo_hi_writeq()")
> 
> interacting with commit
> 
>   f626fe17485b ("move io-64-nonatomic*.h out of asm-generic")
> 
> from the asm-generic tree.
> 
> I have applied the folling merge fix patch and can carry it as necessary.

Thanks Stephen, This looks fine to me.

So should I ask Linus to apply this fix once merge window opens or you will send
this, how do we go about fixing this one :)

Or should I merge the above commit from asm-generic tree?

-- 
~Vinod